x11/xcb-util-keysyms - The NetBSD Packages Collection

XCB Utilities

The xcb-util module provides a number of libraries which sit on top of
libxcb, the core X protocol library, and some of the extension
libraries. These experimental libraries provide convenience functions
and interfaces which make the raw X protocol more usable. Some of the
libraries also provide client-side code which is not strictly part of
the X protocol but which have traditionally been provided by Xlib.

These libraries are currently included, roughly ordered by maturity:

keysyms: Standard X key constants and conversion to/from keycodes.

Build dependencies

x11/xcb-proto x11/xorgproto pkgtools/cwrappers devel/libtool-base devel/gmake devel/pkgconf

Runtime dependencies

x11/libxcb

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfxcb-util-keysyms-0.4.0.tgz
NetBSD 8.0earmv7hfxcb-util-keysyms-0.4.0.tgz
NetBSD 8.0earmv7hfxcb-util-keysyms-0.4.0.tgz
NetBSD 8.0i386xcb-util-keysyms-0.4.0.tgz
NetBSD 8.0i386xcb-util-keysyms-0.4.0.tgz
NetBSD 8.0i386xcb-util-keysyms-0.4.0.tgz
NetBSD 8.0powerpcxcb-util-keysyms-0.4.0.tgz
NetBSD 8.0powerpcxcb-util-keysyms-0.4.0.tgz
NetBSD 8.0powerpcxcb-util-keysyms-0.4.0.tgz
NetBSD 8.0powerpcxcb-util-keysyms-0.4.0.tgz
NetBSD 8.0x86_64xcb-util-keysyms-0.4.0.tgz
NetBSD 8.0x86_64xcb-util-keysyms-0.4.0.tgz
NetBSD 8.0x86_64xcb-util-keysyms-0.4.0.tgz
NetBSD 9.0aarch64xcb-util-keysyms-0.4.0.tgz
NetBSD 9.0aarch64xcb-util-keysyms-0.4.0.tgz
NetBSD 9.0aarch64xcb-util-keysyms-0.4.0.tgz
NetBSD 9.0alphaxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0alphaxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0alphaxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0earmxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0earmxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0earmxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0earmv6hfxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0earmv6hfxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0earmv6hfxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0earmv6hfxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0earmv7hfxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0earmv7hfxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0earmv7hfxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0earmv7hfxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0earmv7hfxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0i386xcb-util-keysyms-0.4.0.tgz
NetBSD 9.0i386xcb-util-keysyms-0.4.0.tgz
NetBSD 9.0i386xcb-util-keysyms-0.4.0.tgz
NetBSD 9.0m68kxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0m68kxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0m68kxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0mips64ebxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0mips64ebxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0mips64ebxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0mipselxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0mipselxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0powerpcxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0powerpcxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0powerpcxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0sh3elxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0sh3elxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0sh3elxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0sparc64xcb-util-keysyms-0.4.0.tgz
NetBSD 9.0sparc64xcb-util-keysyms-0.4.0.tgz
NetBSD 9.0sparc64xcb-util-keysyms-0.4.0.tgz
NetBSD 9.0sparc64xcb-util-keysyms-0.4.0.tgz
NetBSD 9.0sparcxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0sparcxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0sparcxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0vaxxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0vaxxcb-util-keysyms-0.4.0.tgz
NetBSD 9.0x86_64xcb-util-keysyms-0.4.0.tgz
NetBSD 9.0x86_64xcb-util-keysyms-0.4.0.tgz
NetBSD 9.0x86_64xcb-util-keysyms-0.4.0.tgz
NetBSD 9.0x86_64xcb-util-keysyms-0.4.0.tgz
NetBSD 9.0x86_64xcb-util-keysyms-0.4.0.tgz
NetBSD 9.0x86_64xcb-util-keysyms-0.4.0.tgz
NetBSD 9.0x86_64xcb-util-keysyms-0.4.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.